import { useObservableState } from '@equinor/fusion-observable/react';
import { useMemo } from 'react';
import { useAppProvider } from './useAppProvider';
export const useApps = (args) => {
    const provider = useAppProvider();
    const { next, complete } = useObservableState(useMemo(() => provider.getAllAppManifests(), [provider]));
    const apps = useMemo(() => {
        if (next && !(args === null || args === void 0 ? void 0 : args.includeHidden)) {
            return next.filter((app) => app.hide);
        }
        return next;
    }, [args, next]);
    return { apps, isLoading: !complete };
};
export default useApps;
//# sourceMappingURL=useApps.js.map